Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value
Class URIValue

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValue
          org.apache.batik.css.engine.value.StringValue
              org.apache.batik.css.engine.value.URIValue

All Implemented Interfaces:
  Value

public class URIValue
extends StringValue

This class represents uri values.

Field Summary

Fields inherited from class org.apache.batik.css.engine.value.StringValue
`unitType, value`

Constructor Summary
`URIValue(java.lang.String cssText, java.lang.String uri)` Creates a new StringValue.

Method Summary
`java.lang.String` | `getCssText()` A string representation of the current value.

Methods inherited from class org.apache.batik.css.engine.value.StringValue
`equals, getCssText, getPrimitiveType, getStringValue, toString`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValue
`createDOMException, getBlue, getBottom, getCssValueType, getFloatValue, getGreen, getIdentifier, getLeft, getLength, getListStyle, getRed, getRight, getSeparator, getTop, item`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URIValue

    public URIValue(java.lang.String cssText,
                    java.lang.String uri)

  Creates a new StringValue.

Method Detail

### getCssText

    public java.lang.String getCssText()

  A string representation of the current value.

  Specified by:
    `getCssText` in interface `Value`
  Overrides:
    `getCssText` in class `StringValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.